Existing Casafari API · API v1 · Properties
Get property by listing IDs
https://api.casafari.com/v1/properties/match-by-listingsSend Authorization: Token $CASAFARI_TOKEN with your existing API token; see where to get it.
The same path under /api, signed in with a bearer token, is in the REST API reference: POST /api/v1/properties/match-by-listings.
Description
Returns a mapping properties IDs to listing IDs.
Request body
Content type application/json. Optional. Type: object.
listing_idsinteger[]requiredExample request
Placeholders only: replace the token and the values with your own.
curl -X POST "https://api.casafari.com/v1/properties/match-by-listings" \
-H "Authorization: Token $CASAFARI_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"listing_ids": [
1,
2,
3,
4
]
}'Responses
200
Type: object.
Show the response shape (2 fields)
property_idintegerrequiredlisting_idsinteger[]requiredExample from the API description (long arrays shortened)
[
{
"property_id": 12,
"listing_ids": [
1,
2
]
},
{
"property_id": 34,
"listing_ids": [
3,
4
]
}
]401 Unauthorized
Type: object.
Show the response shape (1 fields)
detailstring403 Forbidden
Type: object.
Show the response shape (1 fields)
detailstring